Bug 103207 - query flag --noghost is always set
query flag --noghost is always set
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 14:38 EDT by Michael Schröder
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix it (1.21 KB, patch)
2003-09-05 14:12 EDT, Michael Schröder
no flags Details | Diff
Add --ghost to balance --noghost (693 bytes, patch)
2005-04-20 07:37 EDT, Paul Nasrat
no flags Details | Diff

  None (edit)
Description Michael Schröder 2003-08-27 14:38:31 EDT
Description of problem:
ghost files are never shown in the file list

Version-Release number of selected component (if applicable):
rpm-4.1.1

Solution:
Either invert the meaning of the bit in qve_fflags or don't
initialize it with zero.
Comment 1 Michael Schröder 2003-09-05 14:12:48 EDT
Created attachment 94248 [details]
patch to fix it
Comment 2 Jeff Johnson 2003-09-10 09:59:24 EDT
Hmmm, this fix is going to depend on whether %ghost files
are considered part of a package or not.

I'm inclined to say not part of a package, and
hence should not be displayed in normal file listings.

Hmmm ...

Thanks for noticing and patch.
Comment 3 Michael Schröder 2003-09-10 11:59:29 EDT
But then the option should read "--ghost" ;-)
One can also argue that they are part of the package because 'rpm -qf
<ghostfile>' works and they get deleted when the package is uninstalled.
Comment 4 Jeff Johnson 2003-12-27 11:19:27 EST
There's something broken here, but I'm not prepared to re- re-
define %ghost semantics right now, possibly not ever.

Gah, %ghost is so pointless and broken, sigh.
Comment 5 Jeff Johnson 2003-12-27 11:27:47 EST
NEEDINFO so I don't have to see the bug every day.
Comment 6 Jeremy Katz 2005-04-19 14:42:25 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.
Comment 7 Michael Schröder 2005-04-20 06:08:34 EDT
It's easy to reproduce: 
rpm -qf /var/lib/rpm/__db.001 
rpm -ql rpm | grep __db 
 
Comment 8 Paul Nasrat 2005-04-20 07:37:52 EDT
Created attachment 113405 [details]
Add --ghost to balance --noghost

Michael, rather than change current behaviour would being able to set --ghost
be enough for you?  This means that we don't confuse anyone with existing
queries but a new option would provide ghost listing and verification.

Query lists all %ghosts

[pauln@anu rpm-4.4.x]$ ./rpm --ghost -ql rpm | grep __db
/var/lib/rpm/__db.001
/var/lib/rpm/__db.002
/var/lib/rpm/__db.003
/var/lib/rpm/__db.004
/var/lib/rpm/__db.005
/var/lib/rpm/__db.006
/var/lib/rpm/__db.007
/var/lib/rpm/__db.008
/var/lib/rpm/__db.009

verify works as expected

[pauln@anu rpm-4.4.x]$ ./rpm --ghost -V rpm | grep __db
.....UG.  c /var/lib/rpm/__db.001
.....UG.  c /var/lib/rpm/__db.002
.....UG.  c /var/lib/rpm/__db.003
Comment 9 Michael Schröder 2005-04-20 07:44:49 EDT
Sure, --ghost is fine. Thanks! 
Comment 10 Paul Nasrat 2005-04-20 08:37:38 EDT
I've commited to RPM head and I'll see about getting into 4.4.x

Was there any particulary rpm version you had targetted for this?
Comment 11 Michael Schröder 2005-04-20 08:44:05 EDT
No, I just found the bug one day and fixed it in our (i.e. SuSE's) rpm. RPM 
head is enough for me. 

Note You need to log in before you can comment on or make changes to this bug.